Doomsday Engine - Bug #2412

doomsday package won't install on ubuntu ("libassimp™ not found)
2020-02-03 11:52 - eunbolt

Status: Closed Start date: 2020-02-03
Priority: Normal % Done: 100%
Assignee: skyjake

Category: 3rd party compatibility

Target version: 23

Description

in the control file in the debian package you have it depending on "libassimp" though it should be "libassimp4"

sudo dpkg --install doomsday_2.3.0-build3319_amd64.deb

[sudo] password for dave:

(Reading database ... 792673 files and directories currently installed.)
Preparing to unpack doomsday_2.3.0-build3319_amd64.deb ...
Unpacking doomsday (2.3.0-build3319) over (2.3.0-build3276) ...
dpkg: dependency problems prevent configuration of doomsday:
doomsday depends on libassimp; however:

Package libassimp is not installed.

Ubuntu 19.10 \n \I

apt search libassimp

Sorting... Done

Full Text Search... Done
libassimp-dev/eoan 4.1.0~dfsg-5 amd64
3D model import library (development)

libassimp-doc/eoan,eoan 4.1.0~dfsg-5 all
3D model import library (documentation)

libassimp4/eoan,now 4.1.0~dfsg-5 amd64 [installed,automatic]
3D model import library

Associated revisions

Revision 8fa624dd - 2020-03-04 20:44 - skyjake

Fixed|Debian: Incorrect dependency in DEB metadata

There were two issues here:

1) The name of the libassimp library on Debian/Ubuntu is "libassimp4".
2) The packaging configuration failed to correctly check if the

library is actually needed (by default, it isn't).
History

#1 - 2020-02-03 11:53 - skyjake

- Target version set to 85

#2 - 2020-03-04 09:17 - eunbolt
Still an issue with build doomsday_2.3.0-build3340_amd64.deb

#3 - 2020-03-04 20:52 - skyjake

- Subject changed from dengine package wont install on ubuntu libassimp issue to doomsday package won't install on ubuntu ("libassimp" not found)
- Category set to 3rd party compatibility

- Status changed from New to Resolved

- Target version changed from 85 to Build system and tools
- % Done changed from 0 to 100

#4 - 2020-03-04 20:53 - skyjake

Should be good now in the next unstable 2.3 build.

#5 - 2020-12-08 11:29 - skyjake

- Status changed from Resolved to Closed

#6 - 2020-12-08 11:29 - skyjake

- Target version changed from Build system and tools to 2.3
